Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<Appearance("DeliveryNoteInFromOffersInRowsHeader - Disable OfferInHeader", AppearanceItemType.ViewItem, "1=1", TargetItems:="OfferInHeader", Enabled:=False)> _
Public Class DeliveryNoteInFromOffersInRowsHeader
    Inherits BaseObject

    Private _OfferInHeader As OfferInHeader
    Private _DeliveryNoteInType As DeliveryNoteInType
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property OfferInHeader As OfferInHeader
        Get
            Return _OfferInHeader
        End Get
        Set(value As OfferInHeader)
            SetPropertyValue("OfferInHeader", _OfferInHeader, value)
        End Set
    End Property
    <RuleRequiredField("DeliveryNoteInFromOffersInRowsHeader.DeliveryNoteInType", DefaultContexts.Save)> _
    Property DeliveryNoteInType As DeliveryNoteInType
        Get
            Return _DeliveryNoteInType
        End Get
        Set(value As DeliveryNoteInType)
            SetPropertyValue("DeliveryNoteInType", _DeliveryNoteInType, value)
        End Set
    End Property

    <Association("DeliveryNoteInFromOffersInRowsHeader-DeliveryNoteInFromOffersInRowsRows", GetType(DeliveryNoteInFromOffersInRowsRows)), VisibleInListView(False)> _
    ReadOnly Property DeliveryNoteInFromOffersInRowsRows As XPCollection(Of DeliveryNoteInFromOffersInRowsRows)
        Get
            Return GetCollection(Of DeliveryNoteInFromOffersInRowsRows)("DeliveryNoteInFromOffersInRowsRows")
        End Get
    End Property
End Class
